DriverFactory (Apache Geode 1.9.0)
Date: 2019-04-19

org.apache.geode.experimental.driver

## Class DriverFactory

- java.lang.Object
- - org.apache.geode.experimental.driver.DriverFactory

-     @Experimental
      public class DriverFactory
      extends Object

  This is an experimental driver for connecting a client to a geode cluster. This driver is still under development. For a working, full featured client, use ClientCache in geode-core. This driver factory supports the builder style of chaining together mutators. This code is an experimental prototype and is presented "as is" with no warranty, suitability, or fitness of purpose implied.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DriverFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DriverFactory` | `addLocator(String host, int port)` Adds a locator at `host` and `port` to the set of locators to use.
    `Driver` | `create()` Creates a driver configured to use all the locators about which this driver factory knows.
    `DriverFactory` | `setCiphers(String ciphers)` Specifies the cipher suites to enable.
    `DriverFactory` | `setKeyStorePath(String keyStorePath)` Specifies the key store to use with SSL.
    `DriverFactory` | `setPassword(String password)` Specifies the password with which to authenticate with the server.
    `DriverFactory` | `setProtocols(String protocols)` Specifies the protocols to enable.
    `DriverFactory` | `setTrustStorePath(String trustStorePath)` Specifies the trust store to use with SSL.
    `DriverFactory` | `setUsername(String username)` Specifies the user name with which to authenticate with the server.
    `DriverFactory` | `setValueSerializer(ValueSerializer serializer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DriverFactory

          public DriverFactory()

  - ### Method Detail

    - #### addLocator

          public DriverFactory addLocator(String host,
                                          int port)

      Adds a locator at `host` and `port` to the set of locators to use.
      Parameters:
        `host` - Internet address or host name.
        `port` - Port number.
      Returns:
        This driver factory.

    - #### setUsername

          public DriverFactory setUsername(String username)

      Specifies the user name with which to authenticate with the server.
      Parameters:
        `username` - User identity as a string; may be `null`.
      Returns:
        This driver factory.

    - #### setPassword

          public DriverFactory setPassword(String password)

      Specifies the password with which to authenticate with the server.
      Parameters:
        `password` - User proof as a string; may be `null`.
      Returns:
        This driver factory.

    - #### setKeyStorePath

          public DriverFactory setKeyStorePath(String keyStorePath)

      Specifies the key store to use with SSL.
      Parameters:
        `keyStorePath` - Path to the SSL key store.
      Returns:
        This driver factory.

    - #### setTrustStorePath

          public DriverFactory setTrustStorePath(String trustStorePath)

      Specifies the trust store to use with SSL.
      Parameters:
        `trustStorePath` - Path to the SSL trust store.
      Returns:
        This driver factory.

    - #### setProtocols

          public DriverFactory setProtocols(String protocols)

      Specifies the protocols to enable.
      Parameters:
        `protocols` - Space-separated list of the SSL protocols to enable.
      Returns:
        This driver factory.

    - #### setCiphers

          public DriverFactory setCiphers(String ciphers)

      Specifies the cipher suites to enable.
      Parameters:
        `ciphers` - Space-separated list of the SSL cipher suites to enable.
      Returns:
        This driver factory.

    - #### create

          public Driver create()
                        throws Exception

      Creates a driver configured to use all the locators about which this driver factory knows.
      Returns:
        New driver.
      Throws:
        `Exception`

    - #### setValueSerializer

          public DriverFactory setValueSerializer(ValueSerializer serializer)